<div class="row">
   <div class="col-12">
      <p class="fw-600 uppercase team-list">
         <a class="team--link" data-member="1" href="javascript: void(0);" data-image="/wp-content/themes/inkyfada/assets/img/about/team/AymenJ.png">
            <span class="name">Aymen Jerbi |</span>
            <span class="position">
               Développeur
            </span>
         </a> // 
         <a class="team--link" data-member="2" href="javascript: void(0);" data-image="/wp-content/themes/inkyfada/assets/img/about/team/AymenT.png">
            <span class="name">Aymen Touihri |</span>
            <span class="position">
               Assistant de production
            </span>
         </a> // 
         <a class="team--link" data-member="3" href="javascript: void(0);" data-image="/wp-content/themes/inkyfada/assets/img/about/team/Chayma.png">
            <span class="name">Chayma Mehdi |</span>
            <span class="position">
               Développeuse & Responsable du lab
            </span>
         </a> // 
         <a class="team--link" data-member="4" href="javascript: void(0);" data-image="/wp-content/themes/inkyfada/assets/img/about/team/Erige.png">
            <span class="name">Erige Sehiri |</span>
            <span class="position">
               Journaliste & Productrice
            </span>
         </a> // 
         <a class="team--link" data-member="5" href="javascript: void(0);" data-image="/wp-content/themes/inkyfada/assets/img/about/team/Haifa.png">
            <span class="name">Haifa Mzalouet |</span>
            <span class="position">
               Journaliste
            </span>
         </a> // 
         <a class="team--link" data-member="6" href="javascript: void(0);" data-image="/wp-content/themes/inkyfada/assets/img/about/team/Hortense.png">
            <span class="name">Hortense Lac |</span>
            <span class="position">
               Journaliste
            </span>
         </a> // 
         <a class="team--link" data-member="7" href="javascript: void(0);" data-image="/wp-content/themes/inkyfada/assets/img/about/team/Kais.png">
            <span class="name">Kais Zriba |</span>
            <span class="position">
               Journaliste
            </span>
         </a> // 
         <a class="team--link" data-member="8" href="javascript: void(0);" data-image="/wp-content/themes/inkyfada/assets/img/about/team/Malek.png">
            <span class="name">Malek Khadhraoui |</span>
            <span class="position">
               Journaliste & Directeur de publication
            </span>
         </a> // 
         <a class="team--link" data-member="9" href="javascript: void(0);" data-image="/wp-content/themes/inkyfada/assets/img/about/team/Marwen.png">
            <span class="name">Marouane Ben Mustapha |</span>
            <span class="position">
               Graphiste & Web Designer
            </span>
         </a> // 
         <a class="team--link" data-member="10" href="javascript: void(0);" data-image="/wp-content/themes/inkyfada/assets/img/about/team/Monia.png">
            <span class="name">Monia Ben Hamadi |</span>
            <span class="position">
               Journaliste & Directrice éditoriale
            </span>
         </a> // 
         <a class="team--link" data-member="11" href="javascript: void(0);" data-image="/wp-content/themes/inkyfada/assets/img/about/team/Walid.png">
            <span class="name">Walid Mejri |</span>
            <span class="position">
               Journaliste
            </span>
         </a>
      </p>
   </div>
</div>
<textarea id="info" class="w-100 h-12">

</textarea>
<script>
   infos  = [];
   jQuery('.team--link').each(function(){
      let info={
         'name':jQuery(this).find('.name').text().trim(),
         'position':jQuery(this).find('.position').text().trim(),
         'image':jQuery(this).data('image')

      }
      infos.push(info);

   });
   jQuery('textarea#info').val(JSON.stringify(infos, null, 2));
   </script>